Subject: Re: [PATCH] reftable: avoid initializing structs from structs

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 Jan 2022 11:15:04 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> Would make sense to steal the compiler version etc. details from my
> <[email-masked]>. I.e. eventually
> we'll be able to change this & other code back, as nobody will care
> about that older compiler version. It worked before in the pre-image on
> a more recent xlc.

If so, wouldn't it be a better option not to worry about such an old
compiler at all from the get-go?  Even with an unnecessary "turn an
array of structs into an array of pointers to structs", the
resulting code becomes less natural to follow.  And after all, this
may be part of our tree but is not yet integrated with our system,
no?

Thanks.